about summary refs log tree commit diff stats
path: root/home-manager/river/init
diff options
context:
space:
mode:
authorene <ene@sils.li>2023-02-12 17:45:35 +0100
committerene <ene@sils.li>2023-02-12 17:48:18 +0100
commit29d4fa98039ab95428f9eed1411f00ac4d67f71e (patch)
tree5b56baca24ea052cfc14dfb0a02454ea74170a09 /home-manager/river/init
parentFeat(home-manager): Add rclone (diff)
downloadnixos-config-29d4fa98039ab95428f9eed1411f00ac4d67f71e.tar.gz
nixos-config-29d4fa98039ab95428f9eed1411f00ac4d67f71e.zip
Feat(home-manager): Add river
Diffstat (limited to 'home-manager/river/init')
-rwxr-xr-xhome-manager/river/init84
1 files changed, 84 insertions, 0 deletions
diff --git a/home-manager/river/init b/home-manager/river/init
new file mode 100755
index 00000000..4c49489a
--- /dev/null
+++ b/home-manager/river/init
@@ -0,0 +1,84 @@
+#!/bin/sh
+# shellcheck disable=SC2086
+# shellcheck source=/dev/null
+. ~/.local/lib/shell/lib
+
+err_fail() {
+    "$@"
+    if [ $? -ne 0 ] ;then
+        printf "%s\n" "$@" >> ~/river_log
+        exec ~/.config/river/res/safe_init
+    fi
+}
+rm ~/river_log
+exec 1>>"$HOME/river_log"
+exec 2>>"$HOME"/river_log
+
+#Setup of environment variables {{{
+err_fail msg "Starting environment variables set"
+err_fail riverctl spawn "exec dbus-update-activation-environment SEATD_SOCK DISPLAY WAYLAND_DISPLAY DESKTOP_SESSION=river XDG_CURRENT_DESKTOP=river"
+err_fail export XDG_CURRENT_DESKTOP=river
+#}}}
+
+# Setup of mappings {{{
+err_fail msg "Started river_init_lesser"
+err_fail river_init_lesser ~/.config/river/res/keys.ron
+# }}}
+
+# Setup of Rules {{{
+err_fail msg "Starting Rules set"
+err_fail riverctl float-filter-add app-id float
+err_fail riverctl float-filter-add app-id mpv
+err_fail riverctl float-filter-add app-id ModernGL
+err_fail riverctl float-filter-add title "Manim Slides"
+
+err_fail riverctl csd-filter-add app-id firefox
+# }}}
+
+# Set riverctl settings {{{
+err_fail msg "Starting Riverctl settings"
+# background
+err_fail riverctl background-color 0x002b36
+err_fail riverctl border-color-focused 0x93a1a1
+err_fail riverctl border-color-unfocused 0x586e75
+
+# keyboard repeat rate
+err_fail riverctl set-repeat 50 300
+
+# Cursor
+err_fail riverctl focus-follows-cursor always
+#riverctl hide-cursor timeout 2000
+err_fail riverctl hide-cursor when-typing enabled
+err_fail riverctl set-cursor-warp on-output-change
+
+err_fail riverctl input pointer-1133-49970-Logitech_Gaming_Mouse_G502 pointer-accel 0
+err_fail riverctl input pointer-1133-49970-Logitech_Gaming_Mouse_G502 accel-profile none
+
+# remove GTK buttons in titlebar
+err_fail gsettings set org.gnome.desktop.wm.preferences button-layout ""
+# }}}
+
+# Setup of general apps {{{
+err_fail msg "Starting apps"
+err_fail gammastep &
+
+err_fail wlr-randr --output DP-2 --pos 2560,0
+err_fail wlr-randr --output DP-1 --scale 1.5 --pos 0,0
+
+err_fail yambar &
+
+err_fail mako &
+err_fail swaybg -i "$AWMWALLPAPER" &
+err_fail swayidle &
+alacritty &
+# }}}
+
+
+
+# Setup of layout [acts as exec!] {{{
+err_fail riverctl default-layout rivertile
+err_fail rivertile -main-ratio 0.5 -view-padding 1 -outer-padding 0
+
+#riverctl default-layout luatile
+#river-luatile
+# }}}